<?php
/* Metodos de acceso a los campos de la tabla PLA_Asistencia redefinidos por el usuario */
class PLA_AsistenciaBN extends BasePLA_AsistenciaBN
{
    public function getObjectEmpleado()
    {
        $o_MST_PersonaEmpleadoFN = new MST_PersonaEmpleadoFN();
        $o_MST_PersonaEmpleadoBN = $o_MST_PersonaEmpleadoFN->selectByPK( $this->getIdPersona() );
        return $o_MST_PersonaEmpleadoBN;
    }

    public function getNombreEmpleadoCompleto()
    {
        $o_EmpleadoBN = $this->getObjectEmpleado();
        return $o_EmpleadoBN->getEmpleadoNombres()." ".$o_EmpleadoBN->getEmpleadoApellidoPaterno()." ".$o_EmpleadoBN->getEmpleadoApellidoMaterno();
    }

    public function getObjectMarcacionRegistro()
    {
        $o_PLA_MarcacionRegistroFN = new PLA_MarcacionRegistroFN();
        $o_PLA_MarcacionRegistroBN = $o_PLA_MarcacionRegistroFN->selectByPK( $this->getIdRegistro() );
        return $o_PLA_MarcacionRegistroBN;
    }

    public function getMarcacionRegistroDesc()
    {
        return $this->getObjectMarcacionRegistro()->getDescripcion();
    }

    public function getObjectMarcacionTipo()
    {
        $o_PLA_MarcacionTipoFN = new PLA_MarcacionTipoFN();
        $o_PLA_MarcacionTipoBN = $o_PLA_MarcacionTipoFN->selectByPK( $this->getIdTipo(), $this->getIdRegistro() );
        return $o_PLA_MarcacionTipoBN;
    }
    
    public function getMarcacionTipoDesc()
    {
        return $this->getObjectMarcacionTipo()->getDescripcion();
    }
}
?>